Package org.apache.sling.distribution.serialization

## Class ExportSettings

- java.lang.Object
- - org.apache.sling.distribution.serialization.ExportSettings

    public class ExportSettings
    extends Object

Settings that control the package export.

### Constructor Summary

Constructors
`ExportSettings​(String[] packageRoots, String[] nodeFilters, String[] propertyFilters, boolean useBinaryReferences, Map<String,​String> exportPathMapping)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​String>` `getExportPathMapping()`
`String[]` `getNodeFilters()`
`String[]` `getPackageRoots()`
`String[]` `getPropertyFilters()`
`boolean` `isUseBinaryReferences()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExportSettings

    public ExportSettings​(String[] packageRoots,
                          String[] nodeFilters,
                          String[] propertyFilters,
                          boolean useBinaryReferences,
                          Map<String,​String> exportPathMapping)

Parameters:
  `packageRoots` - The serializer package roots
  `nodeFilters` - The serializer node path filters
  `propertyFilters` - The serializer property path filters
  `useBinaryReferences` - `true` to pass binaries by reference ; `false` to inline binaries
  `exportPathMapping` - The mapping for exported paths

### Method Detail

#### getPackageRoots

    public String[] getPackageRoots()

#### getNodeFilters

    public String[] getNodeFilters()

#### getPropertyFilters

    public String[] getPropertyFilters()

#### isUseBinaryReferences

    public boolean isUseBinaryReferences()

#### getExportPathMapping

    public Map<String,​String> getExportPathMapping()